---
search:
  tags:
    - Products V2
    - POST
seo:
  description: >-
    Bulk-duplicates products. Successful entities are… Reference for the POST
    /api/v2/{team_slug}/{app_slug}/products/duplicate endpoint in the Management
    API v2.
sidebar:
  label: Duplicate products
  badge: POST
title: Duplicate products
type: openapi-operation
---
Bulk-duplicates products. Successful entities are returned in data; per-item failures in errors keyed by product_number.

`POST /api/v2/{team_slug}/{app_slug}/products/duplicate`

**Request body** (`application/json`, required)

- `products` (DuplicateProductItem[], required)

Request body example:

```json
{
  "products": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "product_number": "string"
    }
  ]
}
```

**Responses**

- `201` — Duplicated (partial success possible)
- `400` — Request-level failure
- `401` — Request-level failure
- `403` — Request-level failure
- `500` — Request-level failure

Response example, 201:

```json
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "product_name": "string",
      "product_number": "string",
      "slug": "string",
      "status": "string",
      "meta_title": "string",
      "meta_description": "string",
      "html_description": "string",
      "html_short_description": "string",
      "description": "string",
      "short_description": "string",
      "tax_group_id": "4496f79f-aa1a-4128-84f5-5c1c0836a341",
      "brand_id": "1bb61461-e5e3-4ebb-8cc6-5b0c37f1b7da",
      "product_type": "string",
      "exclude_from_feeds": true,
      "product_dimensions": {
        "width": 0,
        "height": 0,
        "length": 0,
        "depth": 0,
        "weight": 0,
        "diameter": 0,
        "capacity_milliliter": 0
      },
      "package_dimensions": {
        "width": 0,
        "height": 0,
        "length": 0,
        "depth": 0,
        "weight": 0,
        "diameter": 0,
        "capacity_milliliter": 0
      },
      "custom_fields": {
        "property1": "string",
        "property2": "string"
      },
      "market_status": [
        {
          "market": {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "name": "string",
            "slug": "string"
          },
          "store_group": {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "name": "string",
            "slug": "string"
          },
          "status": "active"
        }
      ],
      "channel_statuses": [
        {
          "channel_id": "bbe8aa76-a4bb-46f6-a785-df8e831cc459",
          "channel_slug": "string",
          "status": "string"
        }
      ],
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "errors": [
    {
      "product_number": "string",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "message": "string"
    }
  ]
}
```
